View Issue Details

IDProjectCategoryView StatusLast Update
0026324LazarusPackagespublic2015-01-24 22:31
ReporterAlexey Tor.Assigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.2.2Product Build 
Target Version1.6Fixed in Version1.5 (SVN) 
Summary0026324: SynMemo: need published for some props
DescriptionMouseTextActions
MouseOptions
ShareOptions
VisibleSpecialChars
ReadOnly

Are not published and NOT visible in IDE ObjInspector. Need it.
Note-
MouseActions/MouseSelActions published, MouseTextActions not
TagsNo tags attached.
Fixed in Revision47510
LazTarget1.6
Widgetset
Attached Files

Activities

Martin Friebe

2014-06-11 02:11

manager   ~0075624

Please note: SynMemo is 99% identical with SynEdit (it has nothing to do with an actual Memo).

The ONLY diff is, it adds:

    procedure Append(const Value: String);
    procedure Clear;
both the same as TSynEdit.lines.*

    function CharIndexToRowCol(Index: integer):
    function RowColToCharIndex(RowCol: TPoint):
Not available in SynEdit, but NOT encouraged to be used, as the implementation is very slow.



It will eventually be deprecated. So SynEdit should be used.

Still, once I have time I will publish those.

Alexey Tor.

2014-06-11 02:21

reporter   ~0075625

Yes, pls publish those.

Martin Friebe

2015-01-24 22:31

manager   ~0080564

I published:
  MouseTextActions
  MouseOptions
  VisibleSpecialChars

ReadOnly was already published (or maybe in he meantime).

ShareOptions is experimental. Also all other Share functionality is intentionally only available through code. Therefore ShareOptions will not be published.


I also added Append~() and Clear() to SynEdit.
Note there is a slight difference between the ones on synmemo and synedit.
In SynMemo they work on committed space (trailing spaces are not included, nor will they be removed (if feature is enabled)
In SynEdit they will include/deal with trailing spaces.

In both cases, they do not add undo info, and undo info will not work if they have been used.
SynEdit offers plenty of methods that vill work with undo info.

Issue History

Date Modified Username Field Change
2014-06-10 22:33 Alexey Tor. New Issue
2014-06-11 02:11 Martin Friebe LazTarget => -
2014-06-11 02:11 Martin Friebe Note Added: 0075624
2014-06-11 02:11 Martin Friebe Assigned To => Martin Friebe
2014-06-11 02:11 Martin Friebe Status new => acknowledged
2014-06-11 02:21 Alexey Tor. Note Added: 0075625
2015-01-24 22:31 Martin Friebe Fixed in Revision => 47510
2015-01-24 22:31 Martin Friebe LazTarget - => 1.6
2015-01-24 22:31 Martin Friebe Note Added: 0080564
2015-01-24 22:31 Martin Friebe Status acknowledged => resolved
2015-01-24 22:31 Martin Friebe Fixed in Version => 1.5 (SVN)
2015-01-24 22:31 Martin Friebe Resolution open => fixed
2015-01-24 22:31 Martin Friebe Target Version => 1.6